.\" $NetBSD: ucom.4,v 1.20 2008/04/30 13:10:54 martin Exp $
.\"
.\" Copyright (c) 1999 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to The NetBSD Foundation
.\" by Lennart Augustsson.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd December 16, 2009
.Dt UCOM 4
.Os
.Sh NAME
.Nm ucom
.Nd USB tty support
.Sh SYNOPSIS
.Cd "ucom* at ubsa?"
.Cd "ucom* at uchcom?"
.Cd "ucom* at uftdi?"
.Cd "ucom* at ugensa?"
.Cd "ucom* at uhmodem?"
.Cd "ucom* at uipaq?"
.Cd "ucom* at ukyopon?"
.Cd "ucom* at umct?"
.Cd "ucom* at umodem?"
.Cd "ucom* at uplcom?"
.Cd "ucom* at uslsa?"
.Cd "ucom* at uvisor? portno ?"
.Cd "ucom* at uvscom?"
.Sh DESCRIPTION
The
.Nm
driver attaches to USB modems, serial ports, and other devices that need
to look like a tty.
The
.Nm
driver shows a behaviour like a
.Xr tty 4 .
This means that normal programs such as
.Xr tip 1
or
.Xr pppd 8
can be used to access the device.
.Pp
The
.Va portno
locator can be used to decide which port to use for device that have
multiple external ports.
.Sh FILES
.Bl -tag -width Pa
.It Pa /dev/dtyU?
.It Pa /dev/ttyU?
.El
.Sh SEE ALSO
.Xr tty 4 ,
.Xr ubsa 4 ,
.Xr uchcom 4 ,
.Xr uftdi 4 ,
.Xr ugensa 4 ,
.Xr uhmodem 4 ,
.Xr uipaq 4 ,
.Xr ukyopon 4 ,
.Xr umct 4 ,
.Xr umodem 4 ,
.Xr uplcom 4 ,
.Xr usb 4 ,
.Xr uslsa 4 ,
.Xr uvisor 4 ,
.Xr uvscom 4
.Sh HISTORY
The
.Nm
driver
appeared in
.Nx 1.5 .
